function [ ] = spanheight_flex( )
clear; clc 

%%%%%%%%%%%%%%%%%%%%%%%%%% 350mm %%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%% 350 mm 075 FLEX %%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\350_075_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350 = cell2mat(SR);
BaseFile1 = 'read\DNV_350_075_195_Flex_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_075=cell2mat(DNVR);
MT = fopen('read\3281.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
MTR350_075=cell2mat(MTread);

%%%%%%%%%%%%%%%%%%% 350 mm 05 FLEX %%%%%%%%%%%%%%%%%

BaseFile1 = 'read\350_05_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data350_05 = cell2mat(SR);
BaseFile1 = 'read\DNV_350_05_195_Flex_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_05=cell2mat(DNVR);
MT = fopen('read\3190.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
MTR350_05=cell2mat(MTread);

%%%%%%%%%%%%%%%%%% 350 mm 025 FLEX %%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\350_025_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_025 = cell2mat(SR);
BaseFile1 = 'read\DNV_350_025_195_Flex_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_025=cell2mat(DNVR);
MT = fopen('read\3100.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
MTR350_025=cell2mat(MTread);

%max Fh from simulation:
for i=3820:13820  
Force(i,1)=(sim_data350(i,2)+sim_data350(i,3))/1000;
end
Fhsimla=max(Force);

%simulation values to plot:
for i=3820:13820
time350(i,1)=sim_data350(i,1)-15.0-0.93;    
Force350(i,1)=((sim_data350(i,2)+sim_data350(i,3))/1000)/Fhsimla;

time350_05(i,1)=sim_data350_05(i,1)-15.0-0.91;    
Force350_05(i,1)=((sim_data350_05(i,2)+sim_data350_05(i,3))/1000)/Fhsimla;

time350_025(i,1)=sim_data350_025(i,1)-15.0-0.9;    
Force350_025(i,1)=((sim_data350_025(i,2)+sim_data350_025(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres350=[time350 Force350];
simres350_05=[time350_05 Force350_05];
simres350_025=[time350_025 Force350_025];

%DNV values to plot:
for i=1:240
timeDNV350_075(i,1)=DNV_data350_075(i,1)-0.4-1;    
ForceDNV350_075(i,1)=((DNV_data350_075(i,2)+DNV_data350_075(i,3))/1000)/Fhsimla;

timeDNV350_05(i,1)=DNV_data350_05(i,1)-0.4-1;    
ForceDNV350_05(i,1)=((DNV_data350_05(i,2)+DNV_data350_05(i,3))/1000)/Fhsimla;

timeDNV350_025(i,1)=DNV_data350_025(i,1)-0.4-1;    
ForceDNV350_025(i,1)=((DNV_data350_025(i,2)+DNV_data350_025(i,3))/1000)/Fhsimla;
end
%matrix from DNV simulation to be used in plot:
DNVres350_075=[timeDNV350_075 ForceDNV350_075];
DNVres350_05=[timeDNV350_05 ForceDNV350_05];
DNVres350_025=[timeDNV350_025 ForceDNV350_025];


%%%%% 075 %%%%%%%%:

[maxF_350_075, ColIdx] = max(simres350(:,2),[],1) 
t_350_075=simres350(ColIdx,1)
[maxDNV350_075, ColIdx] = max(DNVres350_075(:,2),[],1) 
t_DNV350_075=DNVres350_075(ColIdx,1)
%test values to plot:
for i = 1:179
    timeMTR350_075(i,1)=MTR350_075(i,1)-223.0-2.88-1;
    ForceMTR350_075(i,1)=MTR350_075(i,2)/Fhsimla;
end
Modelres350_075=[timeMTR350_075 ForceMTR350_075];

[maxMTR350_075, ColIdx] = max(Modelres350_075(:,2),[],1) 
t_MTR350_075=Modelres350_075(ColIdx,1)

%%%%% 05 %%%%%%%%:

[maxF_350_05, ColIdx] = max(simres350_05(:,2),[],1); 
t_350_05=simres350_05(ColIdx,1);
[maxDNV350_05, ColIdx] = max(DNVres350_05(:,2),[],1); 
t_DNV350_05=DNVres350_05(ColIdx,1);
%test values to plot:
for i = 1:131
    timeMTR350_05(i,1)=MTR350_05(i,1)-127.103-1.09;
    ForceMTR350_05(i,1)=MTR350_05(i,2)/Fhsimla;
end
Modelres350_05=[timeMTR350_05 ForceMTR350_05];

[maxMTR350_05, ColIdx] = max(Modelres350_05(:,2),[],1); 
t_MTR350_05=Modelres350_05(ColIdx,1);

%%%%% 025 %%%%%%%%:

[maxF_350_025, ColIdx] = max(simres350_025(:,2),[],1); 
t_350_025=simres350_025(ColIdx,1);
[maxDNV350_025, ColIdx] = max(DNVres350_025(:,2),[],1); 
t_DNV350_025=DNVres350_025(ColIdx,1);
%test values to plot:
for i = 1:131
    timeMTR350_025(i,1)=MTR350_025(i,1)-158.084-1.85;
    ForceMTR350_025(i,1)=MTR350_025(i,2)/Fhsimla;
end
Modelres350_025=[timeMTR350_025 ForceMTR350_025];

[maxMTR350_025, ColIdx] = max(Modelres350_025(:,2),[],1); 
t_MTR350_025=Modelres350_025(ColIdx,1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
flex350=[maxF_350_025 maxF_350_05 maxF_350_075];
DNVflex350=[maxDNV350_025 maxDNV350_05 maxDNV350_075];
MTRflex350=[maxMTR350_025 maxMTR350_05 maxMTR350_075];

%%%%%%%%%%%%%%%%%%%%%%  840 mm  %%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%% 075 FLEX %%%%%%%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\840_075_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data1 = cell2mat(SR);
BaseFile1 = 'read\840_075_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data840_075=cell2mat(DNVR);
MT = fopen('read\3340.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
MTR840_075=cell2mat(MTread);

%%%%%%%%%%%%%%%%%%%%%%%% 05 FLEX %%%%%%%%%%%%%%%%%

BaseFile1 = 'read\840_05_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data05 = cell2mat(SR);
BaseFile1 = 'read\840_05_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data840_05=cell2mat(DNVR);
MT = fopen('read\3250.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
MTR840_05=cell2mat(MTread);

%%%%%%%%%%%%%%%%%%%%%%%% 025 FLEX %%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\840_025_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data025 = cell2mat(SR);
BaseFile1 = 'read\840_025_195_Flex_DNV_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data840_025=cell2mat(DNVR);
MT = fopen('read\3160.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
MTR840_025=cell2mat(MTread);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%simulation values to plot:
for i=3820:13820
time(i,1)=sim_data1(i,1)-15.0-0.83;    
Force(i,1)=((sim_data1(i,2)+sim_data1(i,3))/1000)/Fhsimla;

time05(i,1)=sim_data05(i,1)-15.0-0.82;    
Force05(i,1)=((sim_data05(i,2)+sim_data05(i,3))/1000)/Fhsimla;

time025(i,1)=sim_data025(i,1)-15.0-0.8;    
Force025(i,1)=((sim_data025(i,2)+sim_data025(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres=[time Force];
simres05=[time05 Force05];
simres025=[time025 Force025];

%DNV values to plot:
for i=1:240
timeDNV840_075(i,1)=DNV_data840_075(i,1)-0.4-1;    
ForceDNV840_075(i,1)=((DNV_data840_075(i,2)+DNV_data840_075(i,3))/1000)/Fhsimla;

timeDNV840_05(i,1)=DNV_data840_05(i,1)-0.4-1;    
ForceDNV840_05(i,1)=((DNV_data840_05(i,2)+DNV_data840_05(i,3))/1000)/Fhsimla;

timeDNV840_025(i,1)=DNV_data840_025(i,1)-0.4-1;    
ForceDNV840_025(i,1)=((DNV_data840_025(i,2)+DNV_data840_025(i,3))/1000)/Fhsimla;
end
%matrix from DNV simulation to be used in plot:
DNVres840_075=[timeDNV840_075 ForceDNV840_075];
DNVres840_05=[timeDNV840_05 ForceDNV840_05];
DNVres840_025=[timeDNV840_025 ForceDNV840_025];


%%%%% 075 %%%%%%%%:

% select the maximum of column:
[maxF_840_075, ColIdx] = max(simres(:,2),[],1)
%If you need to look up a corresponding value in another array, you use 
t_840_075=simres(ColIdx,1)
[maxDNV840_075, ColIdx] = max(DNVres840_075(:,2),[],1) 
t_DNV840_075=DNVres840_075(ColIdx,1)
%test values to plot:
for i = 1:179
    timeMTR840_075(i,1)=MTR840_075(i,1)-115.358-1.4;
    ForceMTR840_075(i,1)=MTR840_075(i,2)/Fhsimla;
end
Modelres840_075=[timeMTR840_075 ForceMTR840_075];

[maxMTR840_075, ColIdx] = max(Modelres840_075(:,2),[],1) 
t_MTR840_075=Modelres840_075(ColIdx,1)

%%%%% 05 %%%%%%%%:

[maxF_840_05, ColIdx] = max(simres05(:,2),[],1)
t_840_05=simres05(ColIdx,1)
[maxDNV840_05, ColIdx] = max(DNVres840_05(:,2),[],1) 
t_DNV840_05=DNVres840_05(ColIdx,1)
%test values to plot:
for i = 1:88
    timeMTR840_05(i,1)=MTR840_05(i,1)-104.245-0.75;
    ForceMTR840_05(i,1)=MTR840_05(i,2)/Fhsimla;
end
Modelres840_05=[timeMTR840_05 ForceMTR840_05];

[maxMTR840_05, ColIdx] = max(Modelres840_05(:,2),[],1) 
t_MTR840_05=Modelres840_05(ColIdx,1)

%%%%% 025 %%%%%%%%:

[maxF_840_025, ColIdx] = max(simres025(:,2),[],1)
t_840_025=simres025(ColIdx,1)
[maxDNV840_025, ColIdx] = max(DNVres840_025(:,2),[],1) 
t_DNV840_025=DNVres840_025(ColIdx,1)
%test values to plot:
for i = 1:127
    timeMTR840_025(i,1)=MTR840_025(i,1)-97.7798-1.7;
    ForceMTR840_025(i,1)=MTR840_025(i,2)/Fhsimla;
end
Modelres840_025=[timeMTR840_025 ForceMTR840_025];

[maxMTR840_025, ColIdx] = max(Modelres840_025(:,2),[],1) 
t_MTR840_025=Modelres840_025(ColIdx,1)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
span=[0.25 0.5 0.75]
flex840=[maxF_840_025 maxF_840_05 maxF_840_075]
DNVflex840=[maxDNV840_025 maxDNV840_05 maxDNV840_075]
MTRflex840=[maxMTR840_025 maxMTR840_05 maxMTR840_075]

%%%%%%%%%%%%%%%%%%%%% 530mm %%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%% 530 mm 075 FLEX %%%%%%%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\530_075_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530 = cell2mat(SR);
BaseFile1 = 'read\DNV_530_075_195_Flex_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_075=cell2mat(DNVR);
MT = fopen('read\3310.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
MTR530_075=cell2mat(MTread);

%%%%%%%%%%%%%%%%%%%%%%%% 530 mm 05 FLEX %%%%%%%%%%%%%%%%%

BaseFile1 = 'read\530_05_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_05 = cell2mat(SR);
BaseFile1 = 'read\DNV_530_05_195_Flex_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_05=cell2mat(DNVR);
MT = fopen('read\3220.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
MTR530_05=cell2mat(MTread);

%%%%%%%%%%%%%%%%%%%%%%%% 530 mm 025 FLEX %%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\530_025_195_Flex_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_025 = cell2mat(SR);
BaseFile1 = 'read\DNV_530_025_195_Flex_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_025=cell2mat(DNVR);
MT = fopen('read\3130.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 2);
fclose(MT); 
MTR530_025=cell2mat(MTread);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%simulation values to plot:
for i=3820:13820
time530(i,1)=sim_data530(i,1)-15.0-0.9;    
Force530(i,1)=((sim_data530(i,2)+sim_data530(i,3))/1000)/Fhsimla;

time530_05(i,1)=sim_data530_05(i,1)-15.0-0.9;    
Force530_05(i,1)=((sim_data530_05(i,2)+sim_data530_05(i,3))/1000)/Fhsimla;

time530_025(i,1)=sim_data530_025(i,1)-15.0-0.87;    
Force530_025(i,1)=((sim_data530_025(i,2)+sim_data530_025(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres530=[time530 Force530];
simres530_05=[time530_05 Force530_05];
simres530_025=[time530_025 Force530_025];

%DNV values to plot:
for i=1:240
timeDNV530_075(i,1)=DNV_data530_075(i,1)-0.4-1;    
ForceDNV530_075(i,1)=((DNV_data530_075(i,2)+DNV_data530_075(i,3))/1000)/Fhsimla;

timeDNV530_05(i,1)=DNV_data530_05(i,1)-0.4-1;    
ForceDNV530_05(i,1)=((DNV_data530_05(i,2)+DNV_data530_05(i,3))/1000)/Fhsimla;

timeDNV530_025(i,1)=DNV_data530_025(i,1)-0.4-1;    
ForceDNV530_025(i,1)=((DNV_data530_025(i,2)+DNV_data530_025(i,3))/1000)/Fhsimla;
end
%matrix from DNV simulation to be used in plot:
DNVres530_075=[timeDNV530_075 ForceDNV530_075];
DNVres530_05=[timeDNV530_05 ForceDNV530_05];
DNVres530_025=[timeDNV530_025 ForceDNV530_025];


%%%%% 075 %%%%%%%%:

[maxF_530_075, ColIdx] = max(simres530(:,2),[],1) 
t_530_075=simres530(ColIdx,1)
[maxDNV530_075, ColIdx] = max(DNVres530_075(:,2),[],1) 
t_DNV530_075=DNVres530_075(ColIdx,1)
%test values to plot:
for i = 1:128
    timeMTR530_075(i,1)=MTR530_075(i,1)-133.399-1.13;
    ForceMTR530_075(i,1)=MTR530_075(i,2)/Fhsimla;
end
Modelres530_075=[timeMTR530_075 ForceMTR530_075];

[maxMTR530_075, ColIdx] = max(Modelres530_075(:,2),[],1) 
t_MTR530_075=Modelres530_075(ColIdx,1)

%%%%% 05 %%%%%%%%:

[maxF_530_05, ColIdx] = max(simres530_05(:,2),[],1) 
t_530_05=simres530_05(ColIdx,1)
[maxDNV530_05, ColIdx] = max(DNVres530_05(:,2),[],1) 
t_DNV530_05=DNVres530_05(ColIdx,1)
%test values to plot:
for i = 1:169
    timeMTR530_05(i,1)=MTR530_05(i,1)-123.202-1.2;
    ForceMTR530_05(i,1)=MTR530_05(i,2)/Fhsimla;
end
Modelres530_05=[timeMTR530_05 ForceMTR530_05];

[maxMTR530_05, ColIdx] = max(Modelres530_05(:,2),[],1) 
t_MTR530_05=Modelres530_05(ColIdx,1)

%%%%% 025 %%%%%%%%:

[maxF_530_025, ColIdx] = max(simres530_025(:,2),[],1) 
t_530_025=simres530_025(ColIdx,1)
[maxDNV530_025, ColIdx] = max(DNVres530_025(:,2),[],1) 
t_DNV530_025=DNVres530_025(ColIdx,1)
%test values to plot:
for i = 1:134
    timeMTR530_025(i,1)=MTR530_025(i,1)-115.951-1.1;
    ForceMTR530_025(i,1)=MTR530_025(i,2)/Fhsimla;
end
Modelres530_025=[timeMTR530_025 ForceMTR530_025];

[maxMTR530_025, ColIdx] = max(Modelres530_025(:,2),[],1) 
t_MTR530_025=Modelres530_025(ColIdx,1)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
flex530=[maxF_530_025 maxF_530_05 maxF_530_075]
DNVflex530=[maxDNV530_025 maxDNV530_05 maxDNV530_075]
MTRflex530=[maxMTR530_025 maxMTR530_05 maxMTR530_075]

%%%%%%%%%%%%%%%%%%%%%% PLOT %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());

%%%%%%%%%%%%%%%%%%%%%% SIMLA AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%

simla840=plot(span,flex840,'-+');
hold all %want to make another plot in same graph
simla530=plot(span,flex530,'-+');
simla350=plot(span,flex350,'-+');
DNV840=plot(span,DNVflex840,'--*');
DNV530=plot(span,DNVflex530,'--*');
DNV350=plot(span,DNVflex350,'--*');
%simlatre=plot(maxF_350_075,t_350_075,maxF_350_05,t_350_05,maxF_350_025,t_350_025,'-.','linewidth',1.3);
%grid %include a grid in the plot
set(gca,'XTick',[0.0 0.25 0.5 0.75],'XTickLabel',{'0.0','0.25','0.5','0.75'});
set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
    '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
%set(gca,'YTick',[0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1],'YTickLabel',{'0.2', '0.3', '0.4','0.5',...
%    '0.6', '0.7', '0.8','0.9', '1.0', '1.1'});
xlabel('Free span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('840 mm','530 mm','350 mm','DNV 840','DNV 530','DNV 350','Location','NE'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
Spanheight=gcf;
saveas(Spanheight,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Spanheight_simlaflex.eps', 'psc2');

hold off %releases the graph for a fresh start

%%%%%%%%%%%%%%%%%%%%%% TEST AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%
Test840=plot(span,MTRflex840,'-+');
hold all %want to make another plot in same graph
Test530=plot(span,MTRflex530,'-+');
Test350=plot(span,MTRflex350,'-+');
DNV840=plot(span,DNVflex840,'--*');
DNV530=plot(span,DNVflex530,'--*');
DNV350=plot(span,DNVflex350,'--*');
%simlatre=plot(maxF_350_075,t_350_075,maxF_350_05,t_350_05,maxF_350_025,t_350_025,'-.','linewidth',1.3);
%grid %include a grid in the plot
set(gca,'XTick',[0.25 0.5 0.75],'XTickLabel',{'0.25','0.5','0.75'});
set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
    '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
%set(gca,'YTick',[0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1],'YTickLabel',{'0.2', '0.3', '0.4','0.5',...
%    '0.6', '0.7', '0.8','0.9', '1.0', '1.1'});
xlabel('Free span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('Test 840','Test 530','Test 350','DNV 840','DNV 530','DNV 350','Location','NE'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
Spanheight_testDNV=gcf;
saveas(Spanheight_testDNV,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Spanheight_testDNVflex.eps', 'psc2');

hold off %releases the graph for a fresh start


end