function [ ] = vacillation( )
clear; clc 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%840mm%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Provide base file name and number of files to be read
%%%%%%%%%%%%%%%%%%%840_05 ingen vingling%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\840_05_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data1 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%840_05_195ms_Fixed_vingle14%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%litt vingling%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\vingle1_840_05_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_datavingle1 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%840_05_195ms_Fixed_vingle15%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%litt vingling%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\vingle2_840_05_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_datavingle2 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%840_05_195ms_Fixed_vingle16%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%litt vingling%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\vingle3_840_05_195_Fixed_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_datavingle3 = cell2mat(SR);

%% Open the MT=model test file, read, close.
%%%%%%%%%%%%%%%%kun for  f plottet i relativ-verdier%%%%%%%%%%%%
MT = fopen('read\3270.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);
%max Fh from model test:
Fhtest=max(MTR(:,2))

%max Fh from simulation:
for i=3820:13820  
Force(i,1)=(sim_data1(i,2)+sim_data1(i,3))/1000;
Forcevingle1(i,1)=(sim_datavingle1(i,2)+sim_datavingle1(i,3))/1000;
Forcevingle2(i,1)=(sim_datavingle2(i,2)+sim_datavingle2(i,3))/1000;
Forcevingle3(i,1)=(sim_datavingle3(i,2)+sim_datavingle3(i,3))/1000;
end
Fhsimla=max(Force)
Fhsimlavingle1=max(Forcevingle1)
Fhsimlavingle2=max(Forcevingle2)
Fhsimlavingle3=max(Forcevingle3)

%simulation values to plot:
for i=3820:13820
time(i,1)=sim_data1(i,1)-15.0-0.8;    
Force(i,1)=((sim_data1(i,2)+sim_data1(i,3))/1000)/Fhtest;

timevingle1(i,1)=sim_datavingle1(i,1)-15.0-0.69;    
Forcevingle1(i,1)=((sim_datavingle1(i,2)+sim_datavingle1(i,3))/1000)/Fhtest;

timevingle2(i,1)=sim_datavingle2(i,1)-15.0-0.59;    
Forcevingle2(i,1)=((sim_datavingle2(i,2)+sim_datavingle2(i,3))/1000)/Fhtest;

timevingle3(i,1)=sim_datavingle3(i,1)-15.0-0.56;    
Forcevingle3(i,1)=((sim_datavingle3(i,2)+sim_datavingle3(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];
simresvingle1=[timevingle1 Forcevingle1];
simresvingle2=[timevingle2 Forcevingle2];
simresvingle3=[timevingle3 Forcevingle3];
%%DNV values to plot:
%for i=1:240
%timeDNV(i,1)=DNV_data(i,1)-1.0;    
%ForceDNV(i,1)=((DNV_data(i,2)+DNV_data(i,3))/1000)/Fhtest;
%end
%%matrix from simulation to be used in plot:
%DNVres=[timeDNV ForceDNV];

%test values to plot:
for i = 1:145
    MTR(i,1)=MTR(i,1)-111.272-1.04;
    MTR(i,2)=MTR(i,2)/Fhtest;
end


%PLOT

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
%figure %open up a new figure window


%%%%%%%%%%%%%%%plot simulation results 840mm:%%%%%%%%%%%%%%%%%%%%%%%%%%%%
simla=plot(simres(:,1),simres(:,2),'-','linewidth',1.3);
hold all %want to make another plot in same graph
simlavingle1=plot(simresvingle1(:,1),simresvingle1(:,2),'--');
simlavingle2=plot(simresvingle2(:,1),simresvingle2(:,2),'-.');
simlavingle3=plot(simresvingle3(:,1),simresvingle3(:,2),'-', 'linewidth',1.4);
test=plot(MTR(:,1),MTR(:,2),'--');
%grid %include a grid in the plot
%Defining axis range and axis text
axis([0 5 -0.5 1.5]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('$\theta=0$','$\theta=5$','$\theta=10$','$\theta=20$','model test','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',19);
%save plot:
Vacillation_840_05Fixed=gcf;
saveas(Vacillation_840_05Fixed,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Vacillation_840_05Fixed.eps', 'psc2');

hold off %releases the graph for a fresh start
end
