function [ ] = warp075( )
clear; clc 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%840mm%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Provide base file name and number of files to be read
%%%%%%%%%%%%%%%%%%%840_025_addedmass=1.0%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data23 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%840_025_ added mass=1.83%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\warp_red_840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data184 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%840_025_ added mass=1.3%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\warp_incr_840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data276 = cell2mat(SR);
%% Open the MT=model test file, read, close.
%%%%%%%%%%%%%%%%kun for  f plottet i relativ-verdier%%%%%%%%%%%%
MT = fopen('read\3340.txt');
MTread = textscan(MT, '%f %f', 'headerLines', 1);
fclose(MT); 
% Transform your cell array into an ordinary matrix 
MTR=cell2mat(MTread);
%max Fh from model test:
Fhtest=max(MTR(:,2))

%max Fh from simulation:
for i=3820:10420  
Force(i,1)=(sim_data23(i,2)+sim_data23(i,3))/1000;
Force184(i,1)=(sim_data184(i,2)+sim_data184(i,3))/1000;
Force276(i,1)=(sim_data276(i,2)+sim_data276(i,3))/1000;
end
Fhsimla=max(Force)
Fhsimla184=max(Force184)
Fhsimla276=max(Force276)

%simulation values to plot:
for i=3820:10420
time(i,1)=sim_data23(i,1)-15.0-0.8;    
Force(i,1)=((sim_data23(i,2)+sim_data23(i,3))/1000)/Fhtest;

time184(i,1)=sim_data184(i,1)-15.0-0.8;    
Force184(i,1)=((sim_data184(i,2)+sim_data184(i,3))/1000)/Fhtest;

time276(i,1)=sim_data276(i,1)-15.0-0.8;    
Force276(i,1)=((sim_data276(i,2)+sim_data276(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres=[time Force];
simres184=[time184 Force184];
simres276=[time276 Force276];


%simulation values to plot_GRAPH WITH SAME IMPACT TIME..:
for i=3820:10420
time_same(i,1)=sim_data23(i,1)-15.0-0.8;    
Force_same(i,1)=((sim_data23(i,2)+sim_data23(i,3))/1000)/Fhtest;

time184_same(i,1)=sim_data184(i,1)-15.0-1.07;    
Force184_same(i,1)=((sim_data184(i,2)+sim_data184(i,3))/1000)/Fhtest;

time276_same(i,1)=sim_data276(i,1)-15.0-0.53;    
Force276_same(i,1)=((sim_data276(i,2)+sim_data276(i,3))/1000)/Fhtest;
end
%matrix from simulation to be used in plot:
simres_same=[time_same Force_same];
simres184_same=[time184_same Force184_same];
simres276_same=[time276_same Force276_same];



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%350mm%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%350_025_addedmass=1.0%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\350_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data350 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%350_025_ added mass=1.3%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\warp_red_350_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data350_184 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%350_025_ added mass=1.83%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\warp_incr_350_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data350_276 = cell2mat(SR);
%% Open the MT=model test file, read, close.
%%%%%%%%%%%%%%%%kun for  f plottet i relativ-verdier%%%%%%%%%%%%
MT350 = fopen('read\3281.txt');
MT350read = textscan(MT350, '%f %f', 'headerLines', 2);
fclose(MT350); 
% Transform your cell array into an ordinary matrix 
MTR350=cell2mat(MT350read);

%max Fh from model test:
Fhtest350=max(MTR350(:,2))
%max Fh from simulation:
for i=3820:13820  
Force350(i,1)=(sim_data350(i,2)+sim_data350(i,3))/1000;
Force350_184(i,1)=(sim_data350_184(i,2)+sim_data350_184(i,3))/1000;
Force350_276(i,1)=(sim_data350_276(i,2)+sim_data350_276(i,3))/1000;
end
Fhsimla350=max(Force350)
Fhsimla350_184=max(Force350_184)
Fhsimla350_276=max(Force350_276)

%simulation values to plot:
for i=3820:13820
time350(i,1)=sim_data350(i,1)-15.0-0.8;    
Force350(i,1)=((sim_data350(i,2)+sim_data350(i,3))/1000)/Fhtest350;

time350_184(i,1)=sim_data350_184(i,1)-15.0-1.05;    
Force350_184(i,1)=((sim_data350_184(i,2)+sim_data350_184(i,3))/1000)/Fhtest350;

time350_276(i,1)=sim_data350_276(i,1)-15.0-0.485;    
Force350_276(i,1)=((sim_data350_276(i,2)+sim_data350_276(i,3))/1000)/Fhtest350;
end
%matrix from simulation to be used in plot:
simres350=[time350 Force350];
simres350_184=[time350_184 Force350_184];
simres350_276=[time350_276 Force350_276];


%PLOT

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
%figure %open up a new figure window


%%%%%%%%%%%%%%% plot simulation results 840mm: %%%%%%%%%%%%%%%%%%%%%%%%%%%%
simla184=plot(simres184(:,1),simres184(:,2),'-.');
hold all %want to make another plot in same graph
simla=plot(simres(:,1),simres(:,2),'-','linewidth',1.3);
simla276=plot(simres276(:,1),simres276(:,2),'--');
%grid %include a grid in the plot
%Defining axis range and axis text
axis([0 5.5 -0.5 1.5]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('$\theta=18.4^{\circ}$','$\theta=23^{\circ}$','$\theta=27.6^{\circ}$','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
warp_840_075Flex=gcf;
saveas(warp_840_075Flex,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\warp_840_075Flex.eps', 'psc2');

hold off %releases the graph for a fresh start

%%%%%%%%%%%%%%% plot simulation results 840mm: TIME SAME %%%%%%%%%%%%%%%%
simla184_same=plot(simres184_same(:,1),simres184_same(:,2),'-.');
hold all %want to make another plot in same graph
simla_same=plot(simres_same(:,1),simres_same(:,2),'-','linewidth',1.3);
simla276_same=plot(simres276_same(:,1),simres276_same(:,2),'--');
%grid %include a grid in the plot
%Defining axis range and axis text
axis([0 5.5 -0.5 1.5]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('$\theta=18.4^{\circ}$','$\theta=23^{\circ}$','$\theta=27.6^{\circ}$','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
warp_840_075_same_Flex=gcf;
saveas(warp_840_075_same_Flex,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\warp_840_075_same_Flex.eps', 'psc2');

hold off %releases the graph for a fresh start


%%%%%%%%%%%%%%%%%%% plot simulation results 350mm: %%%%%%%%%%%%%%%%%%%%%%%%
simla350_184=plot(simres350_184(:,1),simres350_184(:,2),'-.');
hold all %want to make another plot in same graph
simla=plot(simres350(:,1),simres350(:,2),'-','linewidth',1.3);
simla350_276=plot(simres350_276(:,1),simres350_276(:,2),'--');
%grid %include a grid in the plot
%Defining axis range and axis text
axis([0 8 -0.5 1.5]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('$\theta=18.4^{\circ}$','$\theta=23^{\circ}$','$\theta=27.6^{\circ}$','Location','NW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
warp_350_075Flex=gcf;
saveas(warp_350_075Flex,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\warp_350_075Flex.eps', 'psc2');

end
