% %DNV pull over load
% clear; clc
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%VARIABLE:%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Hsp=0.25; %freespan height, endres husk!
% OD=0.35; %840mm, men endres etter hvilken case.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% V=1.95; %V tow velocity of trawler
% g=9.81;
% Lclump=0.7; %lengde fra midt i klumpvekt til fremst p hammer
% h=(Hsp+OD)/Lclump;
% mt=6100; %steel mass of trawl gear
% EAw=2.685*10^7; %axial stiffness of the warp
% Lw=894.2; %warp length
% kw=EAw/Lw; %kw warp line stiffness
% 
% Fpmax=3.9*mt*g*(1-exp(-1.8*h))*((OD/Lclump)^(-0.65));
%   
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%VARIABLE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %FLEX:
% %deltap=((0.1*Fpmax)/(kw*V))*V %deltap displacement of the pipe at point of interaction -unknown
%                              %deltap/V must be assumed -->iterations.
% %deltap=1.65
%                              %FIXED:
% deltap=0;  
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% FpmaxkN=Fpmax/1000
% halvFpmax=FpmaxkN*0.5
% Tp=(Fpmax/(kw*V))+(deltap/V)

 %%

%%%%%%%%%%%%%%%%%% DNV pullover BIG MODEL %%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%VARIABLE:%%%%%%%%%%%%%%%%%%%%%%%%%%%
Hsp=0.75; %freespan height, endres husk!
OD=0.35; %endres etter hvilken case.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

V=1.95; %V tow velocity of trawler
g=9.81;
Lclump=0.7; %lengde fra midt i klumpvekt til fremst p hammer
h=(Hsp+OD)/Lclump;
mt=6100; %steel mass of trawl gear
EAw=2.685*10^7; %axial stiffness of the warp
Lw=894.2; %warp length
kw=EAw/Lw; %kw warp line stiffness

Fpmax=3.9*mt*g*(1-exp(-1.8*h))*((OD/Lclump)^(-0.65));
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%VARIABLE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%FLEX:
%deltap=((0.1*Fpmax)/(kw*V))*V %deltap displacement of the pipe at point of interaction -unknown
                             %deltap/V must be assumed -->iterations.
deltap=9.3
                             %FIXED:
%deltap=0;  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

FpmaxkN=Fpmax/1000
halvFpmax=FpmaxkN*0.5
Tp=(Fpmax/(kw*V))+(deltap/V)


