function [ ] = big_350_all_span( )
clear;clc
%%%%%%%%%%%%%%%%%%% Read file and write to matrix %%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\big_350_075_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_075 = cell2mat(SR);% Transform your cell array into an ordinary matrix
% Open the DNV load from RP-F-111, with point load in simla, read, close.
BaseFile1 = 'read\big_DNV_350_075_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_075=cell2mat(DNVR); 
BaseFile1 = 'read\big_350_05_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_05 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_05_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_05=cell2mat(DNVR); 
BaseFile1 = 'read\big_350_025_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_025 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_025_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_025=cell2mat(DNVR); 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\big_530_075_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_075 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_075_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_075=cell2mat(DNVR); 

BaseFile1 = 'read\big_530_05_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_05 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_05_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_05=cell2mat(DNVR); 

BaseFile1 = 'read\big_530_025_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_025 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_025_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_025=cell2mat(DNVR); 

%%%%%%%%%%%%%%%%%% max Force from simulation: %%%%%%%%%%%%%%%%%%%%%%

%for i=5650:21820  
for i=6900:13820  
Force350_075(i,1)=(((-1)*sim_data350_075(i,2))+((-1)*sim_data350_075(i,3)))/1000;
Force350_05(i,1)=(((-1)*sim_data350_05(i,2))+((-1)*sim_data350_05(i,3)))/1000;
Force350_025(i,1)=(((-1)*sim_data350_025(i,2))+((-1)*sim_data350_025(i,3)))/1000;
Force530_075(i,1)=(((-1)*sim_data530_075(i,2))+((-1)*sim_data530_075(i,3)))/1000;
Force530_05(i,1)=(((-1)*sim_data530_05(i,2))+((-1)*sim_data530_05(i,3)))/1000;
Force530_025(i,1)=(((-1)*sim_data530_025(i,2))+((-1)*sim_data530_025(i,3)))/1000;

end
Fhsimla=max(Force350_075);
Fhsimla350_075=Fhsimla
Fhsimla350_05=max(Force350_05)
Fhsimla350_025=max(Force350_025)
Fhsimla530_075=max(Force530_075)
Fhsimla530_05=max(Force530_05)
Fhsimla530_025=max(Force530_025)
%%%%%%%%%%%%%%%%%%%%%%% max Force from DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%
for i=1:280  
ForceDNV350_075(i,1)=(-1)*(DNV_data350_075(i,2)+DNV_data350_075(i,3))/1000;
ForceDNV350_05(i,1)=(-1)*(DNV_data350_05(i,2)+DNV_data350_05(i,3))/1000;
ForceDNV350_025(i,1)=(-1)*(DNV_data350_025(i,2)+DNV_data350_025(i,3))/1000;
ForceDNV530_075(i,1)=(-1)*(DNV_data530_075(i,2)+DNV_data530_075(i,3))/1000;
ForceDNV530_05(i,1)=(-1)*(DNV_data530_05(i,2)+DNV_data530_05(i,3))/1000;
ForceDNV530_025(i,1)=(-1)*(DNV_data530_025(i,2)+DNV_data530_025(i,3))/1000;
end
FhDNV350_075=max(ForceDNV350_075);
FhDNV350_05=max(ForceDNV350_05);
FhDNV350_025=max(ForceDNV350_025);
FhDNV530_075=max(ForceDNV530_075);
FhDNV530_05=max(ForceDNV530_05);
FhDNV530_025=max(ForceDNV530_025);

%%%%%%%%%%%%%%%%%%%%%% simulation values to plot: %%%%%%%%%%%%%%%%%%%%%%

for i=5650:21820  
time350_075(i,1)=sim_data350_075(i,1)-15.0-1;    
Force350_075(i,1)=((((-1)*(sim_data350_075(i,2)))+((-1)*sim_data350_075(i,3)))/1000)/Fhsimla;

time350_05(i,1)=sim_data350_05(i,1)-15.0-1;    
Force350_05(i,1)=((((-1)*(sim_data350_05(i,2)))+((-1)*sim_data350_05(i,3)))/1000)/Fhsimla;

time350_025(i,1)=sim_data350_025(i,1)-15.0-1;    
Force350_025(i,1)=((((-1)*(sim_data350_025(i,2)))+((-1)*sim_data350_025(i,3)))/1000)/Fhsimla;

time530_075(i,1)=sim_data530_075(i,1)-15.0-1;    
Force530_075(i,1)=((((-1)*(sim_data530_075(i,2)))+((-1)*sim_data530_075(i,3)))/1000)/Fhsimla;

time530_05(i,1)=sim_data530_05(i,1)-15.0-1;    
Force530_05(i,1)=((((-1)*(sim_data530_05(i,2)))+((-1)*sim_data530_05(i,3)))/1000)/Fhsimla;

time530_025(i,1)=sim_data530_025(i,1)-15.0-1;    
Force530_025(i,1)=((((-1)*(sim_data530_025(i,2)))+((-1)*sim_data530_025(i,3)))/1000)/Fhsimla;

end
%matrix from simulation to be used in plot:
simres350_075=[time350_075 Force350_075];
simres350_05=[time350_05 Force350_05];
simres350_025=[time350_025 Force350_025];
simres530_075=[time530_075 Force530_075];
simres530_05=[time530_05 Force530_05];
simres530_025=[time530_025 Force530_025];

%%%%%%%%%%%%%%%%%%%%% DNV values to plot: %%%%%%%%%%%%%%%%%%%%%%%%%%%
for i=1:280
timeDNV350_075(i,1)=DNV_data350_075(i,1)-0.4-1;    
ForceDNV350_075(i,1)=(-1)*((DNV_data350_075(i,2)+DNV_data350_075(i,3))/1000)/Fhsimla;

timeDNV350_05(i,1)=DNV_data350_05(i,1)-0.4-1;    
ForceDNV350_05(i,1)=(-1)*((DNV_data350_05(i,2)+DNV_data350_05(i,3))/1000)/Fhsimla;

timeDNV350_025(i,1)=DNV_data350_025(i,1)-0.4-1;    
ForceDNV350_025(i,1)=(-1)*((DNV_data350_025(i,2)+DNV_data350_025(i,3))/1000)/Fhsimla;

timeDNV530_075(i,1)=DNV_data530_075(i,1)-0.4-1;    
ForceDNV530_075(i,1)=(-1)*((DNV_data530_075(i,2)+DNV_data530_075(i,3))/1000)/Fhsimla;

timeDNV530_05(i,1)=DNV_data530_05(i,1)-0.4-1;    
ForceDNV530_05(i,1)=(-1)*((DNV_data530_05(i,2)+DNV_data530_05(i,3))/1000)/Fhsimla;

timeDNV530_025(i,1)=DNV_data530_025(i,1)-0.4-1;    
ForceDNV530_025(i,1)=(-1)*((DNV_data530_025(i,2)+DNV_data530_025(i,3))/1000)/Fhsimla;

end
%matrix from simulation to be used in plot:
DNVres350_075=[timeDNV350_075 ForceDNV350_075];
DNVres350_05=[timeDNV350_05 ForceDNV350_05];
DNVres350_025=[timeDNV350_025 ForceDNV350_025];
DNVres530_075=[timeDNV530_075 ForceDNV530_075];
DNVres530_05=[timeDNV530_05 ForceDNV530_05];
DNVres530_025=[timeDNV530_025 ForceDNV530_025];

%%%%%%%% 075 %%%%%%%%:

[maxF_350_075, ColIdx] = max(simres350_075(:,2),[],1) 
t_350_075=simres350_075(ColIdx,1)
[maxDNV350_075, ColIdx] = max(DNVres350_075(:,2),[],1) 
t_DNV350_075=DNVres350_075(ColIdx,1)

[maxF_530_075, ColIdx] = max(simres530_075(:,2),[],1) 
t_530_075=simres530_075(ColIdx,1)
[maxDNV530_075, ColIdx] = max(DNVres530_075(:,2),[],1) 
t_DNV530_075=DNVres530_075(ColIdx,1)

%%%%% 05 %%%%%%%%:

[maxF_350_05, ColIdx] = max(simres350_05(:,2),[],1); 
t_350_05=simres350_05(ColIdx,1);
[maxDNV350_05, ColIdx] = max(DNVres350_05(:,2),[],1); 
t_DNV350_05=DNVres350_05(ColIdx,1);

[maxF_530_05, ColIdx] = max(simres530_05(:,2),[],1) 
t_530_05=simres530_05(ColIdx,1)
[maxDNV530_05, ColIdx] = max(DNVres530_05(:,2),[],1) 
t_DNV530_05=DNVres530_05(ColIdx,1)

%%%%% 025 %%%%%%%%:

[maxF_350_025, ColIdx] = max(simres350_025(:,2),[],1); 
t_350_025=simres350_025(ColIdx,1);
[maxDNV350_025, ColIdx] = max(DNVres350_025(:,2),[],1); 
t_DNV350_025=DNVres350_025(ColIdx,1);

[maxF_530_025, ColIdx] = max(simres530_025(:,2),[],1) 
t_530_025=simres530_025(ColIdx,1)
[maxDNV530_025, ColIdx] = max(DNVres530_025(:,2),[],1) 
t_DNV530_025=DNVres530_025(ColIdx,1)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Simla350=[maxF_350_025 maxF_350_05 maxF_350_075];
DNV350=[maxDNV350_025 maxDNV350_05 maxDNV350_075];

Simla530=[maxF_530_025 maxF_530_05 maxF_530_075];
DNV530=[maxDNV530_025 maxDNV530_05 maxDNV530_075];


a=221.0/Fhsimla;
b=198.0/Fhsimla;
c=231.0/Fhsimla;
d=283.0/Fhsimla;
e=224.0/Fhsimla;
f=217.0/Fhsimla;


Simlamid350=[a b c];
Simlamid530=[d e f];

span=[0.25 0.5 0.75];
%%%%%%%%%%%%%%%%%%%%%% PLOT %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
% 
%%%%%%%%%%%%%%%%%%%%%% ALL: SIMLA AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%

simla350=plot(span,Simla350,'-+');
hold all %want to make another plot in same graph
simla530=plot(span,Simla530,'-+');
DNV350=plot(span,DNV350,'--*');
DNV530=plot(span,DNV530,'--*');

set(gca,'XTick',[0.0 0.25 0.5 0.75],'XTickLabel',{'0.0','0.25','0.5','0.75'});
set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
    '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
xlabel('Free span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('350 mm','530 mm','DNV 350','DNV 530','Location','NE'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);

%save plot:
bigmodel_span=gcf;
saveas(bigmodel_span,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Big_span.eps','psc2');
hold off %releases the graph for a fresh start



%%%%%%%%%%%%%%%%%%%%%% PLOT %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
% 
%%%%%%%%%%%%%%%%%%%%%% ALL: SIMLA AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%

simlamid350=plot(span,Simlamid350,'-+');
hold all %want to make another plot in same graph
simlamid530=plot(span,Simlamid530,'-+');
DNV350=plot(span,DNV350,'--*');
DNV530=plot(span,DNV530,'--*');

set(gca,'XTick',[0.0 0.25 0.5 0.75],'XTickLabel',{'0.0','0.25','0.5','0.75'});
set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
    '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
xlabel('Free span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('350 mm','530 mm','DNV 350','DNV 530','Location','NE'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);

%save plot:
bigmodel_span_mid=gcf;
saveas(bigmodel_span_mid,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Big_span_mid.eps','psc2');
hold off %releases the graph for a fresh start

% %%%%%%%%%%%%%%%%%%%%%% 350 SIMLA AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% simla350=plot(span,Simla350,'-+');
% hold all %want to make another plot in same graph
% DNV350=plot(span,DNV350,'--*');
% 
% set(gca,'XTick',[0.0 0.25 0.5 0.75],'XTickLabel',{'0.0','0.25','0.5','0.75'});
% set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
%     '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
% xlabel('Span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
% ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
% %make legend:
% l=legend('350 mm','DNV 350','Location','NE'); %label 2 curves in the plot Simulation and model test
% set(l, 'Interpreter','Latex','Fontsize',18);
% 
% %save plot:
% bigmodel350_span=gcf;
% saveas(bigmodel350_span,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Big350_span.eps','psc2');
% hold off %releases the graph for a fresh start

% %%%%%%%%%%%%%%%%%%%%%% 530 SIMLA AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% simla530=plot(span,Simla530,'-+');
% hold all %want to make another plot in same graph
% DNV530=plot(span,DNV530,'--*');
% 
% set(gca,'XTick',[0.0 0.25 0.5 0.75],'XTickLabel',{'0.0','0.25','0.5','0.75'});
% set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
%     '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
% xlabel('Span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
% ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
% %make legend:
% l=legend('530 mm','DNV 530','Location','NE'); %label 2 curves in the plot Simulation and model test
% set(l, 'Interpreter','Latex','Fontsize',18);
% 
% %save plot:
% bigmodel530_span=gcf;
% saveas(bigmodel530_span,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Big530_span.eps','psc2');
% hold off %releases the graph for a fresh start

end