function [SR] = get_data(BaseFile1, n)
%global BaseFile1 n
% Open the first file
d(1) = fopen([BaseFile1 '1.txt']);
% Read the first two columns, skip the first 3 headerlines
SR = textscan(d(1), '%f %f', 'headerLines', 3);
% Close the file, you don't need it any longer
fclose(d(1)); 

for i = 2 : n
    % Open consecutively each of the remaining files
    d(i) = fopen([BaseFile1 num2str(i) '.txt']);
    % Skip the first column of the new file (an '*' to do this)     % and keep on building the array
    SR = [SR textscan(d(i), '%*f %f', 'headerLines', 3)];
    % Close the file
    fclose(d(i));
end