function [ ] = hammergeonew( )
clear; clc 
%has=hammer geometry short
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%350mm%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%350_075_hammer geometry long%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\350_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data350 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%350_075_ hammer geometry short%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\hammergeo_350_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data350has = cell2mat(SR);

%max Fh from simulation:
for i=3820:13820  
%Force350(i,1)=(sim_data350(i,2)+sim_data350(i,3))/1000;
Force350has(i,1)=(sim_data350has(i,2)+sim_data350has(i,3))/1000;
end
Fhsimla=max(Force350has)

%simulation values to plot:
for i=3820:13820
time350(i,1)=sim_data350(i,1)-15.0-0.85;    
Force350(i,1)=((sim_data350(i,2)+sim_data350(i,3))/1000)/Fhsimla;

time350has(i,1)=sim_data350has(i,1)-15.0-0.85;    
Force350has(i,1)=((sim_data350has(i,2)+sim_data350has(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres350=[time350 Force350];
simreshas350=[time350has Force350has];

[maxF_350_long, ColIdx] = max(simres350(:,2),[],1) 
t_350_long=simres350(ColIdx,1)
[maxF_350_short, ColIdx] = max(simreshas350(:,2),[],1) 
t_350_short=simreshas350(ColIdx,1)

flex350hammer=[maxF_350_short];
flex350hammertime=[t_350_short];
flex350hammer2=[maxF_350_long];
flex350hammertime2=[t_350_long];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%840mm%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Provide base file name and number of files to be read
%%%%%%%%%%%%%%%%%%%840_075_hammergeo=long%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data1 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%840_075_ hammergeo=short%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\Hammergeo_840_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_datahas = cell2mat(SR);

%simulation values to plot:
for i=3820:13820
time(i,1)=sim_data1(i,1)-15.0-0.72;    
Force(i,1)=((sim_data1(i,2)+sim_data1(i,3))/1000)/Fhsimla;

timehas(i,1)=sim_datahas(i,1)-15.0-0.72;    
Forcehas(i,1)=((sim_datahas(i,2)+sim_datahas(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres=[time Force];
simreshas=[timehas Forcehas];

[maxF_840_long, ColIdx] = max(simres(:,2),[],1);
t_840_long=simres(ColIdx,1);
[maxF_840_short, ColIdx] = max(simreshas(:,2),[],1); 
t_840_short=simreshas(ColIdx,1);

flex840hammer=[maxF_840_short];
flex840hammertime=[t_840_short];
flex840hammer2=[maxF_840_long];
flex840hammertime2=[t_840_long];



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%530mm%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%530_075_hammergeo long%%%%%%%%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\530_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data530 = cell2mat(SR);
%%%%%%%%%%%%%%%%%%%%%%%%530_075_ hammergeometry short%%%%%%%%%%%%%%%%%
BaseFile1 = 'read\hammergeo_530_075_195_Flex_';
n = 2; 
%SR=simulation results. Use the developed function to read data
SR = get_data(BaseFile1, n); 
sim_data530has = cell2mat(SR);

%simulation values to plot:
for i=3820:13820
time530(i,1)=sim_data530(i,1)-15.0-0.8;    
Force530(i,1)=((sim_data530(i,2)+sim_data530(i,3))/1000)/Fhsimla;

time530has(i,1)=sim_data530has(i,1)-15.0-0.8;    
Force530has(i,1)=((sim_data530has(i,2)+sim_data530has(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres530=[time530 Force530];
simreshas530=[time530has Force530has];

[maxF_530_long, ColIdx] = max(simres530(:,2),[],1) 
t_530_long=simres530(ColIdx,1)
[maxF_530_short, ColIdx] = max(simreshas530(:,2),[],1) 
t_530_short=simreshas530(ColIdx,1)

flex530hammer=[maxF_530_short]
flex530hammertime=[t_530_short]
flex530hammer2=[maxF_530_long]
flex530hammertime2=[t_530_long]

%PLOT

%function defining plot properties is applied:
def=applyDefaultFontProperties(figure());
%figure %open up a new figure window


%%%%%%%%%%%%%%%plot simulation results hammer geo:%%%%%%%%%%%%%%%%%%%%%%%%

simlaen=plot(flex840hammertime,flex840hammer,'*');
hold all %want to make another plot in same graph
simlaen2=plot(flex840hammertime2,flex840hammer2,'*');
simlato=plot(flex530hammertime,flex530hammer,'+');
simlato2=plot(flex530hammertime2,flex530hammer2,'+');
simlatre=plot(flex350hammertime,flex350hammer,'o');
simlatre2=plot(flex350hammertime2,flex350hammer2,'o');
%simlatre=plot(maxF_350_075,t_350_075,maxF_350_05,t_350_05,maxF_350_025,t_350_025,'-.','linewidth',1.3);
%grid %include a grid in the plot
axis([0 7 -0.5 1.5]);
xlabel('Time [s]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('840 mm short','840 mm long','530 mm short','530 mm long','350 mm short','350 mm long','Location','SW'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
Hammer=gcf;
saveas(Hammer,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Hammer.eps', 'psc2');

hold off %releases the graph for a fresh start


end
