%function [ ] = spanheight_big( )
clear; clc 

%%%%%%%%%%%%%%%%%%%%%%%%%% 350mm %%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%% 350 mm 075 %%%%%%%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\big_350_075_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_075 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_075_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_075=cell2mat(DNVR);

%%%%%%%%%%%%%%%%%%% 350 mm 05 FLEX %%%%%%%%%%%%%%%%%

BaseFile1 = 'read\big_350_05_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_05 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_05_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_05=cell2mat(DNVR);

%%%%%%%%%%%%%%%%%% 350 mm 025 FLEX %%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\big_350_025_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data350_025 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_350_025_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data350_025=cell2mat(DNVR);

%max Fh from simulation:
for i=5650:13820  
Force(i,1)=((-1)*sim_data350_075(i,2)+((-1)*sim_data350_075(i,3)))/1000;
end
Fhsimla=max(Force);

%simulation values to plot:
for i=5650:13820
time350_075(i,1)=sim_data350_075(i,1)-15.0-0.93;    
Force350_075(i,1)=(-1)*((sim_data350_075(i,2)+sim_data350_075(i,3))/1000)/Fhsimla;

time350_05(i,1)=sim_data350_05(i,1)-15.0-0.91;    
Force350_05(i,1)=(-1)*((sim_data350_05(i,2)+sim_data350_05(i,3))/1000)/Fhsimla;

time350_025(i,1)=sim_data350_025(i,1)-15.0-0.9;    
Force350_025(i,1)=(-1)*((sim_data350_025(i,2)+sim_data350_025(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres350_075=[time350_075 Force350_075];
simres350_05=[time350_05 Force350_05];
simres350_025=[time350_025 Force350_025];

%DNV values to plot:
for i=1:240
timeDNV350_075(i,1)=DNV_data350_075(i,1)-0.4-1;    
ForceDNV350_075(i,1)=(-1)*((DNV_data350_075(i,2)+DNV_data350_075(i,3))/1000)/Fhsimla;

timeDNV350_05(i,1)=DNV_data350_05(i,1)-0.4-1;    
ForceDNV350_05(i,1)=(-1)*((DNV_data350_05(i,2)+DNV_data350_05(i,3))/1000)/Fhsimla;

timeDNV350_025(i,1)=DNV_data350_025(i,1)-0.4-1;    
ForceDNV350_025(i,1)=(-1)*((DNV_data350_025(i,2)+DNV_data350_025(i,3))/1000)/Fhsimla;
end
%matrix from DNV simulation to be used in plot:
DNVres350_075=[timeDNV350_075 ForceDNV350_075];
DNVres350_05=[timeDNV350_05 ForceDNV350_05];
DNVres350_025=[timeDNV350_025 ForceDNV350_025];


%%%%% 075 %%%%%%%%:
[maxF_350_075, ColIdx] = max(simres350_075(:,2),[],1) 
t_350_075=simres350_075(ColIdx,1)
[maxDNV350_075, ColIdx] = max(DNVres350_075(:,2),[],1) 
t_DNV350_075=DNVres350_075(ColIdx,1)

%%%%% 05 %%%%%%%%:
[maxF_350_05, ColIdx] = max(simres350_05(:,2),[],1); 
t_350_05=simres350_05(ColIdx,1);
[maxDNV350_05, ColIdx] = max(DNVres350_05(:,2),[],1); 
t_DNV350_05=DNVres350_05(ColIdx,1);

%%%%% 025 %%%%%%%%:
[maxF_350_025, ColIdx] = max(simres350_025(:,2),[],1); 
t_350_025=simres350_025(ColIdx,1);
[maxDNV350_025, ColIdx] = max(DNVres350_025(:,2),[],1); 
t_DNV350_025=DNVres350_025(ColIdx,1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Big350=[maxF_350_025 maxF_350_05 maxF_350_075];
DNV350=[maxDNV350_025 maxDNV350_05 maxDNV350_075];
span=[0.25 0.5 0.75]


%%%%%%%%%%%%%%%%%%%%% 530mm %%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%% 530 mm 075 %%%%%%%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\big_530_075_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_075_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_075=cell2mat(DNVR);

%%%%%%%%%%%%%%%%%%%%%%%% 530 mm 05 FLEX %%%%%%%%%%%%%%%%%

BaseFile1 = 'read\big_530_05_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_05 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_05_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_05=cell2mat(DNVR);

%%%%%%%%%%%%%%%%%%%%%%%% 530 mm 025 FLEX %%%%%%%%%%%%%%%%%%%

BaseFile1 = 'read\big_530_025_';
n = 2; 
SR = get_data(BaseFile1, n); 
sim_data530_025 = cell2mat(SR);
BaseFile1 = 'read\big_DNV_530_025_';
n = 2; 
DNVR = get_data(BaseFile1, n);
DNV_data530_025=cell2mat(DNVR);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%simulation values to plot:
for i=5650:13820
time530(i,1)=sim_data530(i,1)-15.0-0.9;    
Force530(i,1)=(-1)*((sim_data530(i,2)+sim_data530(i,3))/1000)/Fhsimla;

time530_05(i,1)=sim_data530_05(i,1)-15.0-0.9;    
Force530_05(i,1)=(-1)*((sim_data530_05(i,2)+sim_data530_05(i,3))/1000)/Fhsimla;

time530_025(i,1)=sim_data530_025(i,1)-15.0-0.87;    
Force530_025(i,1)=(-1)*((sim_data530_025(i,2)+sim_data530_025(i,3))/1000)/Fhsimla;
end
%matrix from simulation to be used in plot:
simres530=[time530 Force530];
simres530_05=[time530_05 Force530_05];
simres530_025=[time530_025 Force530_025];

%DNV values to plot:
for i=1:240
timeDNV530_075(i,1)=DNV_data530_075(i,1)-0.4-1;    
ForceDNV530_075(i,1)=(-1)*((DNV_data530_075(i,2)+DNV_data530_075(i,3))/1000)/Fhsimla;

timeDNV530_05(i,1)=DNV_data530_05(i,1)-0.4-1;    
ForceDNV530_05(i,1)=(-1)*((DNV_data530_05(i,2)+DNV_data530_05(i,3))/1000)/Fhsimla;

timeDNV530_025(i,1)=DNV_data530_025(i,1)-0.4-1;    
ForceDNV530_025(i,1)=(-1)*((DNV_data530_025(i,2)+DNV_data530_025(i,3))/1000)/Fhsimla;
end
%matrix from DNV simulation to be used in plot:
DNVres530_075=[timeDNV530_075 ForceDNV530_075];
DNVres530_05=[timeDNV530_05 ForceDNV530_05];
DNVres530_025=[timeDNV530_025 ForceDNV530_025];


%%%%% 075 %%%%%%%%:

[maxF_530_075, ColIdx] = max(simres530(:,2),[],1) 
t_530_075=simres530(ColIdx,1)
[maxDNV530_075, ColIdx] = max(DNVres530_075(:,2),[],1) 
t_DNV530_075=DNVres530_075(ColIdx,1)

%%%%% 05 %%%%%%%%:
[maxF_530_05, ColIdx] = max(simres530_05(:,2),[],1) 
t_530_05=simres530_05(ColIdx,1)
[maxDNV530_05, ColIdx] = max(DNVres530_05(:,2),[],1) 
t_DNV530_05=DNVres530_05(ColIdx,1)

%%%%% 025 %%%%%%%%:
[maxF_530_025, ColIdx] = max(simres530_025(:,2),[],1) 
t_530_025=simres530_025(ColIdx,1)
[maxDNV530_025, ColIdx] = max(DNVres530_025(:,2),[],1) 
t_DNV530_025=DNVres530_025(ColIdx,1)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Big530=[maxF_530_025 maxF_530_05 maxF_530_075]
DNV530=[maxDNV530_025 maxDNV530_05 maxDNV530_075]


%%%%%%%%%%%%%%%%%%%%%% PLOT %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

def=applyDefaultFontProperties(figure());

%%%%%%%%%%%%%%%%%%%%%% BIG SIMLA AND DNV: %%%%%%%%%%%%%%%%%%%%%%%%%%%

simla350=plot(span,Big350,'--*');
hold all %want to make another plot in same graph
simla530=plot(span,Big530,'--*');
DNV350=plot(span,DNV350,'-.o');
DNV530=plot(span,DNV530,'-.o');

%simlatre=plot(maxF_350_075,t_350_075,maxF_350_05,t_350_05,maxF_350_025,t_350_025,'-.','linewidth',1.3);
%grid %include a grid in the plot
set(gca,'XTick',[0.0 0.25 0.5 0.75],'XTickLabel',{'0.0','0.25','0.5','0.75'});
set(gca,'YTick',[0.0 0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6],'YTickLabel',{'0.0','0.2', '0.4',...
    '0.6', '0.8', '1.0', '1.2', '1.4', '1.6'});
%set(gca,'YTick',[0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0 1.1],'YTickLabel',{'0.2', '0.3', '0.4','0.5',...
%    '0.6', '0.7', '0.8','0.9', '1.0', '1.1'});
xlabel('Span height [m]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the x axis
ylabel('Normalized force [-]'); %'FontWeight', 'bold');%, 'Fontsize', 11) %label the y axis
%make legend:
l=legend('350 mm','530 mm','DNV 350','DNV 530','Location','NE'); %label 2 curves in the plot Simulation and model test
set(l, 'Interpreter','Latex','Fontsize',20);
%save plot:
Spanheight_big=gcf;
saveas(Spanheight_big,'C:\Users\Ingrid\Dropbox\_MASTER_\LateX\matlabgrafer\Spanheight_big.eps', 'psc2');

hold off %releases the graph for a fresh start

%end